Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 17191)
+++ /extensions/Autosize/autosize.inc.php	(revision 17192)
@@ -27,6 +27,7 @@
  static public function cl_autosize_script_1()
 	{
-		global  $template,$user,$conf,$picture ,$page, $cl_plugin ;
- 
+  global $user,$page,$template,$cl_plugin;
+
+  
  // header ('X-UA-Compatible: n=7')  ;
  // header ('X-UA-Compatible: IE=Edge')  ;
@@ -58,5 +59,6 @@
         'AUTOSIZE_PATH' => str_replace("../","",AUTOSIZE_PATH)  ,
         'AUTOSIZE_PATH_ABS' => AUTOSIZE_PATH_ABS,
-        'Version_pwg' => PHPWG_VERSION       
+        'Version_pwg' => PHPWG_VERSION       ,
+            'loading' => AUTOSIZE_PATH . 'images/loading.gif'
          )
     );
@@ -71,6 +73,9 @@
  {
 	   global  $template,$user,$conf,$picture ,$page, $cl_plugin,$known_script ;
+
+     		global  $template,$user,$conf,$picture ,$page, $cl_plugin ;
+
    if ('kardon' == $user['theme'] and isset($_GET['slideshow'])) return ;
-
+   if (!isset($PAMOORAMICS_PATH)) return ;    
 			$AUTOSIZE_PATH = dirname(__FILE__).'/';
 //================================================================
@@ -155,63 +160,46 @@
 
   // this is the default handler that generates the display for the element
- static public function autosize_RenderContent($content, $element_info)
+ static public function autosize_calcContent($content)
 {
-  global $conf;  
-  if ( !empty($content) )
-  {// someone hooked us - so we skip;
-    return $content;
-  }
-  if (isset($_COOKIE['picture_deriv']))
-  {
-    if ( array_key_exists($_COOKIE['picture_deriv'], ImageStdParams::get_defined_type_map()) )
-    {
-      pwg_set_session_var('picture_deriv', $_COOKIE['picture_deriv']);
+  global $conf; 
+   
+ global $page, $template,$picture;
+
+
+  $current = $template->get_template_vars('current'); 
+  $defined_types = array_keys(ImageStdParams::get_defined_type_map());  
+if (isset($current)){ 
+    if (!isset($current['selected_derivative'])){  
+      $model= $defined_types[count($defined_types)-1];
+      $selected_derivative =      $current['derivatives'][$model];
+      $template->append('current', array(
+      'selected_derivative' => $selected_derivative
+    ), true);
+
+
+    $current = $template->get_template_vars('current');
+        } 
+
+         $derivative=$current['selected_derivative'] ;
+          $imgScaledWH=$derivative->src_image->get_size();
+          $imgSizeWH  =  $derivative->get_size();	
+          $img_type  =  $derivative->get_type();	
+          $img_url  = $derivative->get_url();
+          $img_all= $derivative->get_all($derivative->src_image);
+          $scaled_size=$derivative->get_size_hr(); //792 x 441
+          $scaled_size=$derivative->get_scaled_size_htm(); // width="792" height="441"
+         //================= taille mis a l'échelle 
+          $scaled_size=$derivative->get_scaled_size(100,100); // array([0]=>100,[1]=>55)
+          $src= $derivative->src_image ;
+       
     }
-    setcookie('picture_deriv', false, 0, cookie_path() );
-  }
-  $deriv_type = pwg_get_session_var('picture_deriv', $conf['derivative_default_size']);
-  $selected_derivative = $element_info['derivatives'][$deriv_type];
-
-  $unique_derivatives = array();
-  $show_original = isset($element_info['element_url']);
-  $added = array();
-  foreach($element_info['derivatives'] as $type => $derivative)
-   $element_info['derivatives']['Autosize']=$derivative; // last
-
-  foreach($element_info['derivatives'] as $type => $derivative) {     
-  if ($type=='Autosize'){    
-       
-    $url = $derivative->get_url(); 
-    if (isset($added[$url]))
-      continue;
-    $added[$url] = 1;
-    $show_original &= !($derivative->same_as_source());
-    $unique_derivatives[$type]= $derivative;
-     }
-
-  }
-
-  global $page, $template;
-
-  if ($show_original)
-  {
-    $template->assign( 'U_ORIGINAL', $element_info['element_url'] );
-  }
-
-  $template->append('current', array(
-      'selected_derivative' => $selected_derivative,
-      'unique_derivatives' => $unique_derivatives,
-    ), true);    
-      $file =AUTOSIZE_PATH_ABS.'template/picture_content.tpl' ;
-  $template->set_filenames(
-    array('autosize_content'=> $file)
-    );
-
-  $template->assign( array(
-      'ALT_IMG' => $element_info['file'],
-      'COOKIE_PATH' => cookie_path(),
-      )
-    );
-   return $template->parse( 'autosize_content', false);
+ 
+    $img_scaled_width=isset($imgScaledWH)?$imgScaledWH[0]:"480";
+    $img_scaled_height=isset($imgScaledWH)?$imgScaledWH[1]:"320";
+    $current = $template->get_template_vars('picture');
+    $picture['current']['scaled_width']=$img_scaled_width;
+    $picture['current']['scaled_height']= $img_scaled_height;
+    $picture['current']['image_url']=$src->rel_path;
+    
  }
 
@@ -228,4 +216,5 @@
  if ('kardon' == $user['theme'] and isset($_GET['slideshow'])) return ;
 		load_language('plugin.lang', AUTOSIZE_PATH);
+
 		$AUTOSIZE_PATH = dirname(__FILE__).'/';
 		 if (isset( $page['body_id']) && $page['body_id']=='thePicturePage'  ) {
@@ -271,5 +260,5 @@
         $template->parse('mes_script');
       }     
-        
+            
         return $template->parse( 'autosize_content', false);
      				  }
Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 17191)
+++ /extensions/Autosize/include/affiche.php	(revision 17192)
@@ -8,5 +8,5 @@
 
  ; 
-//=================================================================================================
+//==============================================================================
 $DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
 $DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
@@ -28,24 +28,33 @@
   }
   $deriv_type = pwg_get_session_var('picture_deriv', $conf['derivative_default_size']);
+  $defined_types = array_keys(ImageStdParams::get_defined_type_map());  
 
-if (isset($current)){
- $derivative=$current['selected_derivative'] ;
-  $imgScaledWH=$derivative->src_image->get_size();
-	$imgSizeWH  =  $derivative->get_size();	
-  $img_type  =  $derivative->get_type();	
-  $img_url  = $derivative->get_url();
-  $img_all= $derivative->get_all($derivative->src_image);
-  $scaled_size=$derivative->get_size_hr(); //792 x 441
-   $scaled_size=$derivative->get_scaled_size_htm(); // width="792" height="441"
-   //================= taille mis a l'échelle 
-   $scaled_size=$derivative->get_scaled_size(100,100); // array([0]=>100,[1]=>55)
-  $src= $derivative->src_image ;
-     
-    }
-
-          $defined_types = array_keys(ImageStdParams::get_defined_type_map());      
+if (isset($current)){ 
+    if (!isset($current['selected_derivative'])){  
+      $model= $defined_types[count($defined_types)-1];
+      $selected_derivative =      $current['derivatives'][$model];
+      $template->append('current', array(
+      'selected_derivative' => $selected_derivative
+    ), true);
 
 
+    $current = $template->get_template_vars('current');
+        } 
+         $derivative=$current['selected_derivative'] ;
+          $imgScaledWH=$derivative->src_image->get_size();
+          $imgSizeWH  =  $derivative->get_size();	
+          $img_type  =  $derivative->get_type();	
+          $img_url  = $derivative->get_url();
+          $img_all= $derivative->get_all($derivative->src_image);
+          $scaled_size=$derivative->get_size_hr(); //792 x 441
+          $scaled_size=$derivative->get_scaled_size_htm(); // width="792" height="441"
+         //================= taille mis a l'échelle 
+          $scaled_size=$derivative->get_scaled_size(100,100); // array([0]=>100,[1]=>55)
+          $src= $derivative->src_image ;
+       
+    }
+ 
 
+  
 $img_width=isset($imgScaledWH)?$imgSizeWH[0]:"480";
 $img_height=isset($imgScaledWH)?$imgSizeWH[1]:"320";
